Organisationsweite Notizen auflisten
curl --request GET \
--url https://api.devin.ai/v3/organizations/{org_id}/knowledge/notes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/knowledge/notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/organizations/{org_id}/knowledge/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"access_type": "enterprise",
"body": "<string>",
"created_at": 123,
"folder_id": "<string>",
"folder_path": "<string>",
"is_enabled": true,
"macro": "<string>",
"name": "<string>",
"note_id": "<string>",
"org_id": "<string>",
"pinned_repo": "<string>",
"trigger": "<string>",
"updated_at": 123
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Knowledge-Hinweise (Organisation)
Organisationsweite Notizen auflisten
Notizen einer Organisation auflisten.
GET
/
v3
/
organizations
/
{org_id}
/
knowledge
/
notes
Organisationsweite Notizen auflisten
Berechtigungen
ManageAccountKnowledge für die angegebene Organisation.Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Pfadparameter
Organisations-ID (Präfix: org-)
Beispiel:
"org-abc123def456"
Abfrageparameter
Erforderlicher Bereich:
1 <= x <= 200Antwort
Erfolgreiche Antwort
Show child attributes
Show child attributes
Cursor, um die nächste Seite abzurufen, oder None, wenn es sich um die letzte Seite handelt.
Ob nach dieser Seite weitere Elemente verfügbar sind.
Optionale Gesamtanzahl (kann zur Verbesserung der Performance weggelassen werden).
⌘I

